WL#4818 - Stress testing of PERFORMANCE_SCHEMA

The performance schema storage engine is backed by data structures, we
want to be sure that these data structures are not fragile under
load.

NFS1: 20 threads doing read of performance data (both mutex and
disk), 5 threads changing what is being instrumented, 25 threads doing
DML and DDL so that the statistics are updated. Connections should frequently
disconnect or be KILLed, and reconnect.

The database should not crash under any circumstance.

How to run:

MTR_VERSION=1 ./mtr --stress \
                    --stress-suite=perfschema_stress \
                    --stress-threads=50 \
                    --stress-test-duration=3600
